Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: Ubuntu 18.04 - konec podpory  (Přečteno 4204 krát)

swede

  • Návštěvník
  • Příspěvků: 30
Ubuntu 18.04 - konec podpory
« kdy: 03 Dubna 2023, 11:20:12 »
Dobrý den,
Na jednom NB mám Xubuntu 18.04. Pravděpodobně právě končí podpora. Píšu pravděpodobně, protože občas prosakují informace o prodloužení podpory na deset let.
Co teď? Čekat? Povýšit? Může se podařit dvojí povýšení až na 22.04? Nebo jde to najednou?

Ventero

  • Závislák
  • ***
  • Příspěvků: 3546
Re:Ubuntu 18.04 - konec podpory
« Odpověď #1 kdy: 03 Dubna 2023, 11:51:34 »
Funguje ti vše jak má?
Zvuky jsou mantrami a myšlenky moudrostí, prostě proto, že se mohou objevovat ...

swede

  • Návštěvník
  • Příspěvků: 30
Re:Ubuntu 18.04 - konec podpory
« Odpověď #2 kdy: 03 Dubna 2023, 12:01:19 »
Zatím ano. Jen počítám, že to budu v dubnu muset řešit.

JirkaZ

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 1748
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Ubuntu 18.04 - konec podpory
« Odpověď #3 kdy: 03 Dubna 2023, 12:03:42 »
Ne, nebudeš to muset řešit.

Pokud na tom nemáš něco bezpečnostně kriticky závislého (pokud se dá věřit tomu, že aktualizace jsou primárně o bezpečnosti...), tak 18.04 klidně používej dál.
« Poslední změna: 03 Dubna 2023, 12:05:41 od JirkaZ »

swede

  • Návštěvník
  • Příspěvků: 30
Re:Ubuntu 18.04 - konec podpory
« Odpověď #4 kdy: 03 Dubna 2023, 12:09:54 »
Není tu tak úplně můj NB a občas se na něm používá i internetové bankovnictví. A banky jsou na nepodporované systémy alergické a neumožní přístup do svého bankovnictví.

JirkaZ

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 1748
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Ubuntu 18.04 - konec podpory
« Odpověď #5 kdy: 03 Dubna 2023, 12:25:06 »
Do banky se zpravidla leze přes www prohlížeč a tam není problém "podvrhnout" jeho verzi (user-agent).

Kromě toho na 18.04 funguje i aktuální Firefox (ostatní nevím) a není třeba ho instalovat z oficiálního repozitáře, ba dokonce ani z jiného repozitáře, ale prostě se stáhne rovnou od Mozilly.

Už to tady a jinde bylo x-krát, stačí hledat.

Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 6021
Re:Ubuntu 18.04 - konec podpory
« Odpověď #6 kdy: 03 Dubna 2023, 13:05:43 »
Založ  Ubuntu Pro bez rizika.
https://assets.ubuntu.com/v1/65ca4536-Ubuntu+Desktop+DS+06.09.22.pdf

Anebo to rovnou 2x povyš s malým rizikem a založ Ubuntu Pro.

Obrázek je z 22.04.

Jo, Xubuntu! Tak to nevím. Ale repo bude shodné. Třeba by to šlo :D
« Poslední změna: 03 Dubna 2023, 13:17:24 od Roman Vacho »
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem. Děkujeme.

Ventero

  • Závislák
  • ***
  • Příspěvků: 3546
Re:Ubuntu 18.04 - konec podpory
« Odpověď #7 kdy: 03 Dubna 2023, 13:06:40 »
Dokud půjde instalovat jakštakš aktuální internetový prohlížeč - dobrá volba je třeba Firefox ESR - tak to netřeba nějak hrotit.

LTS podpora Xubu je stejně ofiko jenom 3 roky. Ušetři práci a zbylý čas věnuj řádné uživatelské záloze (klidně na to založ vlákno) a až bude čas, tak prostě provedeš čistou instalaci 22.04, a nebo jiné distro, což už možná bude i na jiný stroj .. Povyšování není moc dobrý způsob a často přinese jen problémy.

20.04 je zpatlaná podobně jako 16.04. - takže u té možná až 5. a 6. podverze. Nějak tam fungují ty 4 roky - 12.04 dost dobré, 14.04 takřka dokonalé (nejodladěnější a nejstabilnější Ubu a u Xubu konkrétně jedno z dister vůbec) a pak byl přechod na systemd a od té doby špatné - 16.04 špatné, 18.04 celkem ujde s výhradami, 20.04 špatné a 22.04 jsem ještě nezkoušel - na to je opravdu dost času.

Opravdu to není třeba tak hrotit - tady je odkaz, kde jsem to víceméně shrnul, tak aby to bylo laicky uchopitelné vysvětlení:
https://forum.linux-mint-czech.cz/viewtopic.php?p=47551#p47551
Zvuky jsou mantrami a myšlenky moudrostí, prostě proto, že se mohou objevovat ...

JirkaZ

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 1748
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Ubuntu 18.04 - konec podpory
« Odpověď #8 kdy: 03 Dubna 2023, 14:16:34 »
Mám (už delší dobu) Kubuntu 22.04, ale zatím do toho systému chodím jen "na návštěvu" a mým hlavním OS je Kubuntu 18.04.

juwa2

  • Závislák
  • ***
  • Příspěvků: 4935
Re:Ubuntu 18.04 - konec podpory
« Odpověď #9 kdy: 04 Dubna 2023, 00:08:59 »
Každý si může zdarma prodloužit podporu na 10 let.  Návod zde  ;)

Ventero

  • Závislák
  • ***
  • Příspěvků: 3546
Re:Ubuntu 18.04 - konec podpory
« Odpověď #10 kdy: 04 Dubna 2023, 08:11:44 »
Taky si myslím, že by to mohlo fungovat i pro Xubu - vývojáři také nějakým způsobem spadají pod Canonical (jak jsem pochopil z uvedeného popisu struktury) a repa také myslím stejná jsou.
Zvuky jsou mantrami a myšlenky moudrostí, prostě proto, že se mohou objevovat ...

Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 6021
Re:Ubuntu 18.04 - konec podpory
« Odpověď #11 kdy: 04 Dubna 2023, 12:58:41 »
Každý si může zdarma prodloužit podporu na 10 let.  Návod zde  ;)
Dělal jsem to tak, že jsem se zaregistroval a dle jejich návodu jen zadal ten klíč v pracovním prostředí. Pokud tam byl příkaz do příkazové řádky, tak max 1. Zmiňuju to jako další variantu.
Výsledek:
Kód: [Vybrat]
pro status
SERVICE          ENTITLED  STATUS    DESCRIPTION
esm-apps         yes       enabled   Expanded Security Maintenance for Applications
esm-infra        yes       enabled   Expanded Security Maintenance for Infrastructure
livepatch        yes       enabled   Canonical Livepatch service
realtime-kernel  yes       disabled  Ubuntu kernel with PREEMPT_RT patches integrated
Nedalo mi to a zkusil jsem variantu s realtime:
Kód: [Vybrat]
pro enable realtime-kernel
One moment, checking your subscription first
Real-time kernel cannot be enabled with Livepatch.
Disable Livepatch and proceed to enable Real-time kernel? (y/N)
Kód: [Vybrat]
dpkg -l |grep esm
ii  libavcodec58:amd64                         7:4.4.2-0ubuntu0.22.04.1+esm1           amd64        FFmpeg library with de/encoders for audio/video codecs - runtime files
ii  libavfilter7:amd64                         7:4.4.2-0ubuntu0.22.04.1+esm1           amd64        FFmpeg library containing media filters - runtime files
ii  libavformat58:amd64                        7:4.4.2-0ubuntu0.22.04.1+esm1           amd64        FFmpeg library with (de)muxers for multimedia containers - runtime files
ii  libavutil56:amd64                          7:4.4.2-0ubuntu0.22.04.1+esm1           amd64        FFmpeg library with functions for simplifying programming - runtime files
ii  libpostproc55:amd64                        7:4.4.2-0ubuntu0.22.04.1+esm1           amd64        FFmpeg library for post processing - runtime files
ii  libswresample3:amd64                       7:4.4.2-0ubuntu0.22.04.1+esm1           amd64        FFmpeg library for audio resampling, rematrixing etc. - runtime files
ii  libswscale5:amd64                          7:4.4.2-0ubuntu0.22.04.1+esm1           amd64        FFmpeg library for image scaling and various conversions - runtime files
« Poslední změna: 04 Dubna 2023, 13:09:45 od Roman Vacho »
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem. Děkujeme.

juwa2

  • Závislák
  • ***
  • Příspěvků: 4935
Re:Ubuntu 18.04 - konec podpory
« Odpověď #12 kdy: 04 Dubna 2023, 14:45:19 »
Aha, takže jsem si musel najít, co to vlastě ten realtime-kernel  je...
Je to vlastně náhrada za low-latency-kernel  který už pro novější kernely k dispozici není (divil jsem se tomu).
A pro teto realtime-kernel  není k dispozici livepatch. Takže je třeba si vybrat: Buď generic-kernel  s livepatchem nebo realtime-kernel (aka lowlatency)  bez něj.

Jinak livepatch poskytuje pouze bezpeč. záplaty. Takže je čas od času stejně nutno udělat klasickou aktualizaci kernelu (s restartem).
Výhoda je pouze a právě v tom, že to nemusí být často - tento model najde uplatnění především na serverech (které musí běžet "furt").
Pro uživatele desktopu to příliš význam nemá...



Roman Vacho

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 6021
Re:Ubuntu 18.04 - konec podpory
« Odpověď #13 kdy: 04 Dubna 2023, 15:55:22 »
V repozitáři vidím i low latency 5.19.1xxx, ale má to jiné číslování než generic.
Pro mě je to taky novinka, že je rozdíl mezi low latency a realtime. Dřív to nebylo.

Svého času i Suse umožňovalo pohodlně patchovat jádro za běhu. Tak jsem si řekl, že to musím zkusit i tady :-)
Tak jde primárně o to co píšeš a délku podpory. Pro nedočkavce na desktopu, kdy zítra je pozdě, to nemá až takový význam.
Vyřešená vlákna je vhodné uzavřít "Topic Solved" dole pod vláknem. Děkujeme.

juwa2

  • Závislák
  • ***
  • Příspěvků: 4935
Re:Ubuntu 18.04 - konec podpory
« Odpověď #14 kdy: 04 Dubna 2023, 16:36:51 »
Momentálně mám U18.04.6, kernel 5.4.xxx-lowlatency.   Pro mám aktivované, realtime-kernel se mi (pochopitelně) nenabízí.  Livepatch mám zatím vypnutý. (Až skončí standartní podpora, tak ho zapnu a budu využívat jeho záplaty až do 2023).
Kernely ručně stahuji z mainline (4 .deb balíky). Tam jsem si všimnul, že pro vyšší jádra než 5.6.11  (28.2. 2022) už není lowlatency k dispozici.
Zkoušel jsem nejprve HWE-lowlatency co je v normálním repo, ale byly problémy s probouzením ze spánku (černá obrazovka).

Další "zajímavost" co jsem zjistil je, že kernely vyšší jak 5.6 nelze na U18.04 vůbec nainstalovat (z důvodu nesplnitelných závislostí, to nikdy nebylo) :-\.
Proto je s podivem, že utilita na instalaci kernelů mainline (dříve ukuu) tuto možnost nabízí a tyto balíky tam pomocí dpkg klidně "napere".
Končí to rozdrbaným systémem. Už jsem na to autora upozornil - slíbil to napravit.... :)

Ještě uvedu, k čemu je vlastně lowlatency (realtime) dobré.   Ve spojení s kvalitní ZK (a patřičného nastavení) lze dosáhnout výrazně lepšího zvuku.
Samozřejmě, na integrovaných pidirepráčcích ap. není poznat nic...

« Poslední změna: 04 Dubna 2023, 22:10:52 od juwa2 »

JirkaZ

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 1748
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Ubuntu 18.04 - konec podpory
« Odpověď #15 kdy: 04 Dubna 2023, 17:32:14 »
Ten mainline/ukuu nekontroluje a nectí závislosti před instalací?

juwa2

  • Závislák
  • ***
  • Příspěvků: 4935
Re:Ubuntu 18.04 - konec podpory
« Odpověď #16 kdy: 04 Dubna 2023, 18:08:21 »
Ten mainline/ukuu nekontroluje a nectí závislosti před instalací?

Ne. Vyhledá všechny momentálně dostupné kernely, ty které si uživatel vybere stáhne a "předhodí" je dpkg k instalaci.
Tam se žádné závislosti neřeší, je to stejné jako dát ty balíky do složky a pustit na ně příkaz:
Kód: [Vybrat]
sudo dpkg -i ./*.debDojde k instalaci (de facto rozbalení .deb archivů + rozkopírování položek do přísl. umístění) balíků ve složce v pořadí dle abecedy.
A to "bez ohledu na následky"....
Proto je daleko bezpečnější jakékoli balíky instalovat pomocí gdebi nebo apt (synaptic). Tam je záruka pohlídání závislostí /dodržení pořadí, varování před nekompatibilitou je samozřejmost.
« Poslední změna: 04 Dubna 2023, 20:22:15 od juwa2 »

Ventero

  • Závislák
  • ***
  • Příspěvků: 3546
Re:Ubuntu 18.04 - konec podpory
« Odpověď #17 kdy: 04 Dubna 2023, 19:44:47 »
Tvl, co to zase je za logiku - jaký závislosti k jádru? To už pak zase trochu ztrácí na gró, pokud to není samonosné - ne?
Zvuky jsou mantrami a myšlenky moudrostí, prostě proto, že se mohou objevovat ...

juwa2

  • Závislák
  • ***
  • Příspěvků: 4935
Re:Ubuntu 18.04 - konec podpory
« Odpověď #18 kdy: 04 Dubna 2023, 23:06:53 »
Jenom na ukázku, zejména pro @ventero: 
Pokus o instalaci aktuálně nejnovějšího kernelu (6.2.9 generic) na U18.04.6  (4 balíky). viz obr. 1
Staženo + instalováno jednotlivě, postupně, pomocí gdebi
První balík (linux-headers)  nainstalován bez problému.  Ale již druhý balík v pořadí (linux-headers-generic)   "neprošel".  viz obr. 2
A tím to bohužel celé skončilo.... :-\

Pozn.  Verze libc6  na U18.04  je 2.27  viz obr. 3
Zatímco balík linux-headers-6.2.9-060209-generic  požaduje verzi  libc6 >=2.34
Takže ano, to je panečku ta novinka.  Takto se to chová již od kernelu 5.6
A tím pádem je "vymalováno".... :-[

Abych ale nekončil příliš pesimisticky, moje řešení (pro U18.04) do budoucna:
Co nejdéle (pokud budou nové verze k dispozici) vydržet na 5.4 HWE, potom využit livepatch z Ubuntu Pro, tj. bezpečnostní záplaty až do r. 2028
« Poslední změna: 04 Dubna 2023, 23:41:57 od juwa2 »

ramael

  • Stálý člen
  • **
  • Příspěvků: 632
Re:Ubuntu 18.04 - konec podpory
« Odpověď #19 kdy: 06 Dubna 2023, 21:15:27 »
Jen doplním, že libc6 =>2.34 má odlišné API od předešlých verzí. Takže s 2.31 by mělo fungovat jádro řady 6.1. A libc6 2.31 by měla jít do bionicu teoreticky naprat. Vyšší verze systém pokur...
Lenovo: ThinkPad X380 Yoga
MeWe  Joutůůůůb

juwa2

  • Závislák
  • ***
  • Příspěvků: 4935
Re:Ubuntu 18.04 - konec podpory
« Odpověď #20 kdy: 06 Dubna 2023, 21:46:43 »
Jen doplním, že libc6 =>2.34 má odlišné API od předešlých verzí. Takže s 2.31 by mělo fungovat jádro řady 6.1. A libc6 2.31 by měla jít do bionicu teoreticky naprat. Vyšší verze systém pokur...

No já už jsem se tam dříve pokoušel "naprat" i jiné věci (knihovny glibc) aby mi fungovala nějaká novější aplikace. A podařilo se, fungovala.
Nicméně je na prd, že ty nové verze nejsou zpětně kompatibilní, tím pádem mi zase přestaly fungovat aplikace co už v systému jsou a ke běhu vyžadují starší verzi.... Stejně dopadl pokus dát python3.8 jako výchozí.  A obávám se, že s tím glibc6 2.31 by to bylo stejné... :-\
« Poslední změna: 08 Dubna 2023, 02:53:15 od juwa2 »

Bruno47

  • Návštěvník
  • Příspěvků: 2
Re:Ubuntu 18.04 - konec podpory
« Odpověď #21 kdy: 14 Dubna 2023, 15:58:15 »
Pokud ti vše funguje, tak bych to neřešil

 

Provoz zaštiťuje spolek OpenAlt.